LWText Class Reference

the main class to read the text part of LightWay Text file More...

`#include <LWText.hxx>`

## Public Member Functions

| LWText (LWParser &parser)
| constructor More...
virtual | ~LWText ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions

bool | createZones ()
| finds the different text zones More...
bool | sendMainText ()
| send a main zone More...
bool | getColor (int id, MWAWColor &col) const
| return a color corresponding to an id More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
void | computePositions ()
| compute the positions More...
bool | readFonts (MWAWEntry const &entry)
| read the fonts ( styl resource) More...
bool | readFont2 (MWAWEntry const &entry)
| read the Font2 resource ( underline, upperline, ...) More...
bool | readRulers (MWAWEntry const &entry)
| read the rulers (stylx resource) More...
void | setProperty (MWAWParagraph const &para)
| send the paragraph properties More...
bool | readRuby (MWAWEntry const &entry)
| read the ruby data More...
bool | readDocumentHF (MWAWEntry const &entry)
| read the header/footer part of the document zone More...
bool | hasHeaderFooter (bool header) const
| returns true if there is a header/footer More...
bool | sendHeaderFooter (bool header)
| try to send the header/footer More...
bool | readStyleU (MWAWEntry const &entry)
| read the unknown styu resource More...
bool | readUnknownStyle (MWAWEntry const &entry)
| read the styl resource More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< LWTextInternal::State > | m_state
| the state More...
LWParser * | m_mainParser
| the main parser; More...

## Private Member Functions

| LWText (LWText const &orig)
LWText & | operator= (LWText const &orig)

## Friends

class | LWParser

## Detailed Description

the main class to read the text part of LightWay Text file

## Constructor & Destructor Documentation

LWText::LWText | ( | LWParser & | parser | ) |

constructor

LWText::~LWText | ( |  | ) |

virtual

destructor

LWText::LWText | ( | LWText const & | orig | ) |

private

## Member Function Documentation

void LWText::computePositions | ( |  | ) |

protected

compute the positions

Referenced by createZones(), and numPages().

bool LWText::createZones | ( |  | ) |

protected

finds the different text zones

void LWText::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

bool LWText::getColor | ( | int | id,
|  | MWAWColor & | col
| ) |  | const

protected

return a color corresponding to an id

Referenced by readFont2().

bool LWText::hasHeaderFooter | ( | bool | header | ) | const

protected

returns true if there is a header/footer

int LWText::numPages | ( |  | ) | const

returns the number of pages

LWText& LWText::operator= | ( | LWText const & | orig | ) |

private

bool LWText::readDocumentHF | ( | MWAWEntry const & | entry | ) |

protected

read the header/footer part of the document zone

bool LWText::readFont2 | ( | MWAWEntry const & | entry | ) |

protected

read the Font2 resource ( underline, upperline, ...)

Referenced by createZones().

bool LWText::readFonts | ( | MWAWEntry const & | entry | ) |

protected

read the fonts ( styl resource)

Referenced by createZones().

bool LWText::readRuby | ( | MWAWEntry const & | entry | ) |

protected

read the ruby data

Referenced by createZones().

bool LWText::readRulers | ( | MWAWEntry const & | entry | ) |

protected

read the rulers (stylx resource)

Referenced by createZones().

bool LWText::readStyleU | ( | MWAWEntry const & | entry | ) |

protected

read the unknown styu resource

Referenced by createZones().

bool LWText::readUnknownStyle | ( | MWAWEntry const & | entry | ) |

protected

read the styl resource

Referenced by createZones().

bool LWText::sendHeaderFooter | ( | bool | header | ) |

protected

try to send the header/footer

bool LWText::sendMainText | ( |  | ) |

protected

send a main zone

void LWText::setProperty | ( | MWAWParagraph const & | para | ) |

protected

send the paragraph properties

Referenced by sendMainText().

int LWText::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class LWParser

friend

## Member Data Documentation

LWParser* LWText::m_mainParser

protected

the main parser;

Referenced by createZones(), readDocumentHF(), readFont2(), readFonts(), readRuby(), readRulers(), readStyleU(), readUnknownStyle(), sendHeaderFooter(), and sendMainText().

MWAWParserStatePtr LWText::m_parserState

protected

the parser state

Referenced by readDocumentHF(), readFont2(), readFonts(), sendHeaderFooter(), sendMainText(), setProperty(), and version().

shared_ptr<LWTextInternal::State> LWText::m_state

protected

the state

Referenced by computePositions(), hasHeaderFooter(), numPages(), readDocumentHF(), readFont2(), readFonts(), readRuby(), readRulers(), readStyleU(), sendHeaderFooter(), sendMainText(), and version().

The documentation for this class was generated from the following files:

- LWText.hxx
- LWText.cxx